import { useState, useEffect } from 'react';
import { csv } from 'd3';

const parseRow = (d) => {
  d.sepal_length = +d.sepal_length;
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  return d;
};

export const useData = (outputPath) => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const fetchData = async () => {
      setData(await csv('data.csv', parseRow));
    };
    fetchData();
  }, []);

  return data;
};
